Bug 4061 - automake fails to generate Makefile.in when project contains Objective-C sources
: automake fails to generate Makefile.in when project contains Objective-C sources
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/automake_1.8)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-30 10:05 by
Modified: 2010-01-24 20:07 (History)


Attachments
Objective-C compiles support via AM_PROG_OBJC (aclocal) (1.07 KB, text/plain)
2004-04-30 11:55, Sir Raorn
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-30 10:05:09
Objective-C support in automake >= 1.6 is broken.

When project contains *.m sources (Objective-C), automake wants OBJCDEPMOD
variable to be defined. This variable can only be defined with
_AM_DEPENDENCIES(OBJC) macro. This macro documented as "private macros you
should not call directly"

There is no any documented way to define OBJCDEPMOD.

On the other side, where is gcj.m4 file, that defines AM_PROG_GCJ macro. This
macro defines GCJ, GCJFLAGS and GCJDEPMOD variables.
------- Comment #1 From 2004-04-30 11:55:54 -------
Created an attachment (id=401) [details]
Objective-C compiles support via AM_PROG_OBJC (aclocal)
------- Comment #2 From 2004-08-04 21:01:12 -------
Applied in automake_1.8-1.8.3-alt3.
------- Comment #3 From 2005-01-05 02:53:46 -------
The file did not make it to the installed files.
You have to add it to dist_m4data_DATA variable in m4/Makefile to have it installed.
------- Comment #4 From 2010-01-24 20:07:03 -------
It was fixed a long time ago.